package data.hullmods;

import com.fs.starfarer.api.combat.HullModEffect;
import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.combat.ShipAPI;
import com.fs.starfarer.api.combat.ShipAPI.HullSize;

public class SuperchargedReactor implements HullModEffect {

	
	public static final float ENERGY_DAMAGE_BONUS = 15f;
	
	
	public void applyEffectsBeforeShipCreation(HullSize hullSize, MutableShipStatsAPI stats, String id) {
		
		stats.getEnergyWeaponDamageMult().modifyPercent(id, ENERGY_DAMAGE_BONUS);
		
	}
	
	public void applyEffectsAfterShipCreation(ShipAPI ship, String id) {
	}

	
	public String getDescriptionParam(int index, HullSize hullSize) {
		if (index == 0) return "" + (int) ENERGY_DAMAGE_BONUS;
		return null;
	}


}
